## class osgUtx::TestVisitor

> Visits while maintaining the current hierarchical context.

## Inheritance:

### Public Methods

virtual bool visitEnter( TestSuite* )
virtual bool visit( TestCase* ) = 0
virtual bool visitLeave( TestSuite* )

### Protected Methods

TestVisitor()
TestVisitor( const TestVisitor& )
virtual ~TestVisitor()

## Documentation

> Visits while maintaining the current hierarchical context. Also allows the traversal to be short-cicuited at any point during the visitation.

`virtual bool visitEnter( TestSuite* )`

`virtual bool visit( TestCase* ) = 0`

`virtual bool visitLeave( TestSuite* )`

`TestVisitor()`

`TestVisitor( const TestVisitor& )`

`virtual ~TestVisitor()`

Direct child classes:
  TestQualifier

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.